<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20250514115009 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Allow more characters for maritalstatus id';
    }

    public function up(Schema $schema): void
    {
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_person_marital_status ALTER id TYPE VARCHAR(15)
        SQL);
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_person_person ALTER maritalstatus_id TYPE VARCHAR(15)
        SQL);
    }

    public function down(Schema $schema): void
    {
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_person_person ALTER maritalStatus_id TYPE VARCHAR(7)
        SQL);
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_person_marital_status ALTER id TYPE VARCHAR(7)
        SQL);
    }
}
